org.keycloak.protocol.saml

## Class IDPMetadataDescriptor

- java.lang.Object
- - org.keycloak.protocol.saml.IDPMetadataDescriptor

-     public class IDPMetadataDescriptor
      extends Object

  Version:
    $Revision: 1 $

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IDPMetadataDescriptor()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Element` | `buildKeyInfoElement(String keyName, String pemEncodedCertificate)`
    `static String` | `getIDPDescriptor(URI loginPostEndpoint, URI loginRedirectEndpoint, URI logoutEndpoint, URI artifactResolutionService, String entityId, boolean wantAuthnRequestsSigned, List<Element> signingCerts)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IDPMetadataDescriptor

          public IDPMetadataDescriptor()

  - ### Method Detail

    - #### getIDPDescriptor

          public static String getIDPDescriptor(URI loginPostEndpoint,
                                                URI loginRedirectEndpoint,
                                                URI logoutEndpoint,
                                                URI artifactResolutionService,
                                                String entityId,
                                                boolean wantAuthnRequestsSigned,
                                                List<Element> signingCerts)
                                         throws ProcessingException

      Throws:
        `ProcessingException`

    - #### buildKeyInfoElement

          public static Element buildKeyInfoElement(String keyName,
                                                    String pemEncodedCertificate)
                                             throws ParserConfigurationException

      Throws:
        `ParserConfigurationException`

Copyright © 2021 JBoss by Red Hat. All rights reserved.